diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -119,60 +119,12 @@ dump_separator (pretty_printer *pp, bool *is_first)
   *is_first = false;
 }
 
-#if 0
-/* Concrete subclass of constraint_manager that wires it up to a region_model2
-   (whilst allowing the constraint_manager and region_model2 to be somewhat
-   at arms length).
-   TODO: revisit this; maybe put the region_model2 * into the constraint_manager
-   base class.  */
-
-class impl_constraint_manager : public constraint_manager
-{
- public:
-  impl_constraint_manager (region_model2 *model)
-  : constraint_manager (),
-    m_model (model)
-  {}
-
-  impl_constraint_manager (const impl_constraint_manager &other,
-			   region_model2 *model)
-  : constraint_manager (other),
-    m_model (model)
-  {}
-
-  constraint_manager *clone (region_model2 *model) const
-  {
-    return new impl_constraint_manager (*this, model);
-  }
-
-  tree maybe_get_constant (const svalue2 *sval) const FINAL OVERRIDE
-  {
-    const svalue2 *svalue2 = m_model->get_svalue2 (sid);
-    return svalue2->maybe_get_constant ();
-  }
-
-  svalue2_id get_sid_for_constant (tree cst) const FINAL OVERRIDE
-  {
-    gcc_assert (CONSTANT_CLASS_P (cst));
-    return m_model->get_rvalue (cst, NULL);
-  }
-
-  int get_num_svalue2s () const FINAL OVERRIDE
-  {
-    return m_model->get_num_svalue2s ();
-  }
-
- private:
-  region_model2 *m_model;
-};
-#endif
-
 /* struct complexity.  */
 
 /* Get complexity for a new node that references REG
    (the complexity of REG, plus one for the new node).  */
 
-complexity::complexity (const region2 *reg)
+complexity::complexity (const region *reg)
 : m_num_nodes (reg->get_complexity ().m_num_nodes + 1),
   m_max_depth (reg->get_complexity ().m_max_depth + 1)
 {
@@ -181,7 +133,7 @@ complexity::complexity (const region2 *reg)
 /* Get complexity for a new node that references SVAL.
    (the complexity of SVAL, plus one for the new node).  */
 
-complexity::complexity (const svalue2 *sval)
+complexity::complexity (const svalue *sval)
 : m_num_nodes (sval->get_complexity ().m_num_nodes + 1),
   m_max_depth (sval->get_complexity ().m_max_depth + 1)
 {
@@ -197,33 +149,14 @@ complexity::from_pair (const complexity &c1, const complexity &c2)
 		     MAX (c1.m_max_depth, c2.m_max_depth) + 1);
 }
 
-/* class svalue2 and its various subclasses.  */
-
-/* class svalue2.  */
+/* class svalue and its various subclasses.  */
 
-/* Dump this svalue2 in the form of a .dot record to PP.  */
-
-#if 0
-void
-svalue2::dump_dot_to_pp (const region_model2 &model,
-			pretty_printer *pp) const
-{
-  this_sval.dump_node_name_to_pp (pp);
-  pp_printf (pp, " [label=\"");
-  pp_write_text_to_stream (pp);
-  this_sval.print (pp);
-  pp_string (pp, ": {");
-  print (model, this_sval, pp);
-  pp_write_text_as_dot_label_to_stream (pp, /*for_record=*/false);
-  pp_string (pp, "}\"];");
-  pp_newline (pp);
-}
-#endif
+/* class svalue.  */
 
 /* FIXME.  */
 
 DEBUG_FUNCTION void
-svalue2::dump (bool simple) const
+svalue::dump (bool simple) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -237,7 +170,7 @@ svalue2::dump (bool simple) const
 /* FIXME.  */
 
 label_text
-svalue2::get_desc (bool simple) const
+svalue::get_desc (bool simple) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -245,46 +178,46 @@ svalue2::get_desc (bool simple) const
   return label_text::take (xstrdup (pp_formatted_text (&pp)));
 }
 
-/* If this svalue2 is a constant_svalue2, return the underlying tree constant.
+/* If this svalue is a constant_svalue, return the underlying tree constant.
    Otherwise return NULL_TREE.  */
 
 tree
-svalue2::maybe_get_constant () const
+svalue::maybe_get_constant () const
 {
-  if (const constant_svalue2 *cst_sval = dyn_cast_constant_svalue2 ())
+  if (const constant_svalue *cst_sval = dyn_cast_constant_svalue ())
     return cst_sval->get_constant ();
   else
     return NULL_TREE;
 }
 
-/* If this svalue2 is a cast (i.e a unaryop NOP_EXPR), return the underlying
-   svalue2.
+/* If this svalue is a cast (i.e a unaryop NOP_EXPR), return the underlying
+   svalue.
    Otherwise return NULL.  */
 
-const svalue2 *
-svalue2::maybe_undo_cast () const
+const svalue *
+svalue::maybe_undo_cast () const
 {
-  if (const unaryop_svalue2 *unaryop_sval = dyn_cast_unaryop_svalue2 ())
+  if (const unaryop_svalue *unaryop_sval = dyn_cast_unaryop_svalue ())
     if (unaryop_sval->get_op () == NOP_EXPR)
       return unaryop_sval->get_arg ();
   return NULL;
 }
 
-const svalue2 *
-svalue2::unwrap_any_unmergeable () const
+const svalue *
+svalue::unwrap_any_unmergeable () const
 {
-  if (const unmergeable_svalue2 *unmergeable = dyn_cast_unmergeable_svalue2 ())
+  if (const unmergeable_svalue *unmergeable = dyn_cast_unmergeable_svalue ())
     return unmergeable->get_arg ();
   return this;
 }
 
-/* Attempt to merge THIS with OTHER, returning the merged svalue2.
+/* Attempt to merge THIS with OTHER, returning the merged svalue.
    Return NULL if not mergeable.  */
 
-const svalue2 *
-svalue2::can_merge_p (const svalue2 *other,
-		      region_model2_manager *mgr,
-		      model2_merger *merger) const
+const svalue *
+svalue::can_merge_p (const svalue *other,
+		     region_model_manager *mgr,
+		     model_merger *merger) const
 {
   if (!(get_type () && other->get_type ()))
     return NULL;
@@ -294,8 +227,8 @@ svalue2::can_merge_p (const svalue2 *other,
     return NULL;
 
   /* Reject attempts to merge unmergeable svalues.  */
-  if ((get_kind () == svalue2::SK_UNMERGEABLE)
-      || (other->get_kind () == svalue2::SK_UNMERGEABLE))
+  if ((get_kind () == svalue::SK_UNMERGEABLE)
+      || (other->get_kind () == svalue::SK_UNMERGEABLE))
     return NULL;
 
   /* Reject attempts to merge NULL pointers with not-NULL-pointers.  */
@@ -319,7 +252,7 @@ svalue2::can_merge_p (const svalue2 *other,
   if (tree cst0 = maybe_get_constant ())
     if (tree cst1 = other->maybe_get_constant ())
       {
-	return mgr->get_or_create_widening_svalue2 (other->get_type (),
+	return mgr->get_or_create_widening_svalue (other->get_type (),
 						    merger->m_point,
 						    other, this);
       }
@@ -328,18 +261,18 @@ svalue2::can_merge_p (const svalue2 *other,
 
   /* Merge: (Widen(existing_val, V), existing_val) -> Widen (existing_val, V)
      and thus get a fixed point.  */
-  if (const widening_svalue2 *widen_sval = dyn_cast_widening_svalue2 ())
+  if (const widening_svalue *widen_sval = dyn_cast_widening_svalue ())
     {
       /* FIXME: which direction??? */
-      if (other == widen_sval->get_base_svalue2 ())
+      if (other == widen_sval->get_base_svalue ())
 	return this;
-      if (other == widen_sval->get_iter_svalue2 ())
+      if (other == widen_sval->get_iter_svalue ())
 	return this;
     }
 
-  if (const binop_svalue2 *binop_sval = dyn_cast_binop_svalue2 ())
-    if (const widening_svalue2 *widen_arg0
-	= binop_sval->get_arg0 ()->dyn_cast_widening_svalue2 ())
+  if (const binop_svalue *binop_sval = dyn_cast_binop_svalue ())
+    if (const widening_svalue *widen_arg0
+	= binop_sval->get_arg0 ()->dyn_cast_widening_svalue ())
       {
 	if (other == binop_sval->get_arg1 ())
 	  {
@@ -368,17 +301,17 @@ svalue2::can_merge_p (const svalue2 *other,
       }
 #endif
 
-  return mgr->get_or_create_unknown_svalue2 (get_type ());
+  return mgr->get_or_create_unknown_svalue (get_type ());
 }
 
 /* FIXME.  */
 
 bool
-svalue2::live_p (const hash_set<const svalue2 *> &live_svalues,
-		 const region_model2 *model) const
+svalue::live_p (const hash_set<const svalue *> &live_svalues,
+		 const region_model *model) const
 {
   /* Determine if SVAL is explicitly live.  */
-  if (const_cast<hash_set<const svalue2 *> &> (live_svalues).contains (this))
+  if (const_cast<hash_set<const svalue *> &> (live_svalues).contains (this))
     return true;
 
   /* Otherwise, determine if SVAL is implicitly live due to being made of
@@ -386,10 +319,10 @@ svalue2::live_p (const hash_set<const svalue2 *> &live_svalues,
   return implicitly_live_p (live_svalues, model);
 }
 
-/* Base implementation of svalue2::implicitly_live_p.  */
+/* Base implementation of svalue::implicitly_live_p.  */
 
 bool
-svalue2::implicitly_live_p (const svalue2_set &, const region_model2 *) const
+svalue::implicitly_live_p (const svalue_set &, const region_model *) const
 {
   return false;
 }
@@ -399,17 +332,17 @@ svalue2::implicitly_live_p (const svalue2_set &, const region_model2 *) const
 /* Constants are implicitly live.  */
 
 bool
-constant_svalue2::implicitly_live_p (const svalue2_set &,
-				     const region_model2 *) const
+constant_svalue::implicitly_live_p (const svalue_set &,
+				     const region_model *) const
 {
   return true;
 }
 
 bool
-initial_svalue2::implicitly_live_p (const svalue2_set &live_svalues,
-				    const region_model2 *model) const
+initial_svalue::implicitly_live_p (const svalue_set &live_svalues,
+				    const region_model *model) const
 {
-  /* This svalue2 may be implicitly live if the region still implicitly
+  /* This svalue may be implicitly live if the region still implicitly
      has its initial value and is reachable.  */
 
   /* It must be a region that exists; we don't want to consider
@@ -417,7 +350,7 @@ initial_svalue2::implicitly_live_p (const svalue2_set &live_svalues,
      a popped stack frame.  */
   if (model->region_exists_p (m_reg))
     {
-      const svalue2 *reg_sval = model->get_store_value (m_reg);
+      const svalue *reg_sval = model->get_store_value (m_reg);
       if (reg_sval == this)
 	return true;
     }
@@ -426,40 +359,40 @@ initial_svalue2::implicitly_live_p (const svalue2_set &live_svalues,
 }
 
 bool
-unaryop_svalue2::implicitly_live_p (const svalue2_set &live_svalues,
-				    const region_model2 *model) const
+unaryop_svalue::implicitly_live_p (const svalue_set &live_svalues,
+				    const region_model *model) const
 {
   return get_arg ()->live_p (live_svalues, model);
 }
 
 bool
-binop_svalue2::implicitly_live_p (const svalue2_set &live_svalues,
-				  const region_model2 *model) const
+binop_svalue::implicitly_live_p (const svalue_set &live_svalues,
+				  const region_model *model) const
 {
   return (get_arg0 ()->live_p (live_svalues, model)
 	  && get_arg1 ()->live_p (live_svalues, model));
 }
 
 bool
-sub_svalue2::implicitly_live_p (const svalue2_set &live_svalues,
-				const region_model2 *model) const
+sub_svalue::implicitly_live_p (const svalue_set &live_svalues,
+				const region_model *model) const
 {
   return get_parent ()->live_p (live_svalues, model);
 }
 
 bool
-unmergeable_svalue2::implicitly_live_p (const svalue2_set &live_svalues,
-					const region_model2 *model) const
+unmergeable_svalue::implicitly_live_p (const svalue_set &live_svalues,
+					const region_model *model) const
 {
   return get_arg ()->live_p (live_svalues, model);
 }
 
-/* class region_svalue2 : public svalue2.  */
+/* class region_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-region_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+region_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -468,7 +401,7 @@ region_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "region_svalue2(");
+      pp_string (pp, "region_svalue(");
       print_quoted_type (pp, get_type ());
       pp_string (pp, ", ");
       m_reg->dump_to_pp (pp, simple);
@@ -476,12 +409,12 @@ region_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
 }
 
-/* Compare the fields of this region_svalue2 with OTHER, returning true
+/* Compare the fields of this region_svalue with OTHER, returning true
    if they are equal.
-   For use by svalue2::operator==.  */
+   For use by svalue::operator==.  */
 #if 0
 bool
-region_svalue2::compare_fields (const region_svalue2 &other) const
+region_svalue::compare_fields (const region_svalue &other) const
 {
   return m_reg == other.m_reg;
 }
@@ -490,143 +423,27 @@ region_svalue2::compare_fields (const region_svalue2 &other) const
 /* FIXME.  */
 
 void
-region_svalue2::accept (visitor *v) const
+region_svalue::accept (visitor *v) const
 {
-  v->visit_region_svalue2 (this);
+  v->visit_region_svalue (this);
   m_reg->accept (v);
 }
 
-/* Implementation of svalue2::dump_dot_to_pp for region_svalue2.  */
-
-#if 0
-void
-region_svalue2::dump_dot_to_pp (const region_model2 &model,
-			       svalue2_id this_sval,
-			       pretty_printer *pp) const
-{
-  svalue2::dump_dot_to_pp (model, this_sval, pp);
-
-  /* If non-NULL, add an edge to the pointed-to region2.  */
-  if (!m_reg.null_p ())
-    {
-      this_sval.dump_node_name_to_pp (pp);
-      pp_string (pp, " -> ");
-      m_reg.dump_node_name_to_pp (pp);
-      pp_string (pp, ";");
-      pp_newline (pp);
-  }
-}
-#endif
-
-#if 0
-/* Merge REGION2_SVAL_A and REGION2_SVAL_B using MERGER, writing the result
-   into *MERGED_SVAL.  */
-
-void
-region_svalue2::merge_values (const region_svalue2 &region2_sval_a,
-			     const region_svalue2 &region2_sval_b,
-			     svalue2_id *merged_sval,
-			     tree type,
-			     model_merger *merger)
-{
-  region2_id a_reg = region2_sval_a.get_pointee ();
-  region2_id b_reg = region2_sval_b.get_pointee ();
-
-  /* Both are non-NULL. */
-  gcc_assert (!a_reg.null_p () && !b_reg.null_p ());
-
-  /* Have these ptr-values already been merged?  */
-
-  region2_id a_reg_in_m
-    = merger->m_map_region2s_from_a_to_m.get_dst_for_src (a_reg);
-  region2_id b_reg_in_m
-    = merger->m_map_region2s_from_b_to_m.get_dst_for_src (b_reg);
-
-  /* "null_p" here means "we haven't seen this ptr-value before".
-     If we've seen one but not the other, or we have different
-     region2s, then the merged ptr has to be "unknown".  */
-  if (a_reg_in_m != b_reg_in_m)
-    {
-      const svalue2 *merged_sval = new unknown_svalue2 (type);
-      *merged_sval = merger->m_merged_model->add_svalue2 (merged_sval);
-      return;
-    }
-
-  /* Have we seen this yet?  If so, reuse the value.  */
-  if (!a_reg_in_m.null_p ())
-    {
-      *merged_sval
-	= merger->m_merged_model->get_or_create_ptr_svalue2 (type, a_reg_in_m);
-      return;
-    }
-
-  /* Otherwise we have A/B region2s that haven't been referenced yet.  */
-
-  /* Are the region2s the "same", when seen from the tree point-of-view.
-     If so, create a merged pointer to it.  */
-  path_var pv_a = merger->m_model_a->get_representative_path_var (a_reg);
-  path_var pv_b = merger->m_model_b->get_representative_path_var (b_reg);
-  if (pv_a.m_tree
-      && pv_a == pv_b)
-    {
-      region2_id merged_pointee_reg
-	= merger->m_merged_model->get_lvalue (pv_a, NULL);
-      *merged_sval
-	= merger->m_merged_model->get_or_create_ptr_svalue2 (type,
-							    merged_pointee_reg);
-      merger->record_region2s (a_reg, b_reg, merged_pointee_reg);
-      return;
-    }
-
-  /* Handle an A/B pair of ptrs that both point at heap region2s.
-     If they both have a heap region2 in the merger model, merge them.  */
-  region2 *region2_a = merger->m_model_a->get_region2 (a_reg);
-  region2 *region2_b = merger->m_model_b->get_region2 (b_reg);
-  region2_id a_parent_reg = region2_a->get_parent ();
-  region2_id b_parent_reg = region2_b->get_parent ();
-  region2 *parent_region2_a = merger->m_model_a->get_region2 (a_parent_reg);
-  region2 *parent_region2_b = merger->m_model_b->get_region2 (b_parent_reg);
-  if (parent_region2_a
-      && parent_region2_b
-      && parent_region2_a->get_kind () == RK_HEAP
-      && parent_region2_b->get_kind () == RK_HEAP)
-    {
-	/* We have an A/B pair of ptrs that both point at heap region2s.  */
-	/* presumably we want to see if each A/B heap region2 already
-	   has a merged region2, and, if so, is it the same one.  */
-	// This check is above
-
-	region2_id merged_pointee_reg
-	  = merger->m_merged_model->add_new_malloc_region2 ();
-	*merged_sval
-	  = merger->m_merged_model->get_or_create_ptr_svalue2
-	     (type, merged_pointee_reg);
-	merger->record_region2s (a_reg, b_reg, merged_pointee_reg);
-	return;
-    }
-
-  /* Two different non-NULL pointers?  Merge to unknown.  */
-  const svalue2 *merged_sval = new unknown_svalue2 (type);
-  *merged_sval = merger->m_merged_model->add_svalue2 (merged_sval);
-  return;
-}
-#endif
-
 /* Evaluate the condition LHS OP RHS.
-   Subroutine of region_model2::eval_condition for when we have a pair of
+   Subroutine of region_model::eval_condition for when we have a pair of
    pointers.  */
 
 tristate
-region_svalue2::eval_condition (const region_svalue2 *lhs,
+region_svalue::eval_condition (const region_svalue *lhs,
 				enum tree_code op,
-				const region_svalue2 *rhs)
+				const region_svalue *rhs)
 {
-  /* See if they point to the same region2.  */
-  const region2 *lhs_reg = lhs->get_pointee ();
-  const region2 *rhs_reg = rhs->get_pointee ();
+  /* See if they point to the same region.  */
+  const region *lhs_reg = lhs->get_pointee ();
+  const region *rhs_reg = rhs->get_pointee ();
   bool ptr_equality = lhs_reg == rhs_reg;
   // FIXME: what about when we have unknown values?
-  /* TODO: what about child region2s where the child is the first child
+  /* TODO: what about child regions where the child is the first child
      (or descendent)?
      Presumably we should look at base regions and compare offsets
      within them.  */
@@ -665,12 +482,12 @@ region_svalue2::eval_condition (const region_svalue2 *lhs,
   return tristate::TS_UNKNOWN;
 }
 
-/* class constant_svalue2 : public svalue2.  */
+/* class constant_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-constant_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+constant_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -681,7 +498,7 @@ constant_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "constant_svalue2(");
+      pp_string (pp, "constant_svalue(");
       print_quoted_type (pp, get_type ());
       pp_string (pp, ", ");
       dump_tree (pp, m_cst_expr);
@@ -692,38 +509,38 @@ constant_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
 /* FIXME.  */
 
 void
-constant_svalue2::accept (visitor *v) const
+constant_svalue::accept (visitor *v) const
 {
-  v->visit_constant_svalue2 (this);
+  v->visit_constant_svalue (this);
 }
 
-/* Compare the fields of this constant_svalue2 with OTHER, returning true
+/* Compare the fields of this constant_svalue with OTHER, returning true
    if they are equal.
-   For use by svalue2::operator==.  */
+   For use by svalue::operator==.  */
 #if 0
 bool
-constant_svalue2::compare_fields (const constant_svalue2 &other) const
+constant_svalue::compare_fields (const constant_svalue &other) const
 {
   return m_cst_expr == other.m_cst_expr;
 }
 #endif
 
 /* Merge the CST_SVAL_A and CST_SVAL_B using MERGER, writing the id of
-   the resulting svalue2 into *MERGED_SVAL.  */
+   the resulting svalue into *MERGED_SVAL.  */
 #if 0
 void
-constant_svalue2::merge_values (const constant_svalue2 &cst_sval_a,
-			       const constant_svalue2 &cst_sval_b,
-			       svalue2_id *merged_sval,
+constant_svalue::merge_values (const constant_svalue &cst_sval_a,
+			       const constant_svalue &cst_sval_b,
+			       svalue_id *merged_sval,
 			       model_merger *merger)
 {
   tree cst_a = cst_sval_a.get_constant ();
   tree cst_b = cst_sval_b.get_constant ();
-  const svalue2 *merged_sval;
+  const svalue *merged_sval;
   if (cst_a == cst_b)
     {
       /* If they are the same constant, merge as that constant value.  */
-      merged_sval = new constant_svalue2 (cst_a);
+      merged_sval = new constant_svalue (cst_a);
     }
   else
     {
@@ -731,20 +548,20 @@ constant_svalue2::merge_values (const constant_svalue2 &cst_sval_a,
 	 Merge as an unknown value.
 	 TODO: impose constraints on the value?
 	 (maybe just based on A, to avoid infinite chains)  */
-      merged_sval = new unknown_svalue2 (TREE_TYPE (cst_a));
+      merged_sval = new unknown_svalue (TREE_TYPE (cst_a));
     }
-  *merged_sval = merger->m_merged_model->add_svalue2 (merged_sval);
+  *merged_sval = merger->m_merged_model->add_svalue (merged_sval);
 }
 #endif
 
 /* Evaluate the condition LHS OP RHS.
-   Subroutine of region_model2::eval_condition for when we have a pair of
+   Subroutine of region_model::eval_condition for when we have a pair of
    constants.  */
 
 tristate
-constant_svalue2::eval_condition (const constant_svalue2 *lhs,
+constant_svalue::eval_condition (const constant_svalue *lhs,
 				  enum tree_code op,
-				  const constant_svalue2 *rhs)
+				  const constant_svalue *rhs)
 {
   tree lhs_const = lhs->get_constant ();
   tree rhs_const = rhs->get_constant ();
@@ -765,13 +582,13 @@ constant_svalue2::eval_condition (const constant_svalue2 *lhs,
   return tristate::TS_UNKNOWN;
 }
 
-/* Implementation of svalue2::get_child_sval vfunc for constant_svalue2.  */
+/* Implementation of svalue::get_child_sval vfunc for constant_svalue.  */
 #if 0
-svalue2_id
-constant_svalue2::get_child_sval (region2 *parent ATTRIBUTE_UNUSED,
-				region2 *child,
-				region_model2 &model,
-				region_model2_context *ctxt ATTRIBUTE_UNUSED)
+svalue_id
+constant_svalue::get_child_sval (region *parent ATTRIBUTE_UNUSED,
+				region *child,
+				region_model &model,
+				region_model_context *ctxt ATTRIBUTE_UNUSED)
 {
   /* TODO: handle the all-zeroes case by returning an all-zeroes of the
      child type.  */
@@ -780,17 +597,17 @@ constant_svalue2::get_child_sval (region2 *parent ATTRIBUTE_UNUSED,
      constant.
 
      Handle this case by using an unknown value.  */
-  const svalue2 *unknown_sval = new unknown_svalue2 (child->get_type ());
-  return model.add_svalue2 (unknown_sval);
+  const svalue *unknown_sval = new unknown_svalue (child->get_type ());
+  return model.add_svalue (unknown_sval);
 }
 #endif
 
-/* class unknown_svalue2 : public svalue2.  */
+/* class unknown_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-unknown_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+unknown_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -801,7 +618,7 @@ unknown_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "unknown_svalue2(");
+      pp_string (pp, "unknown_svalue(");
       if (get_type ())
 	dump_tree (pp, get_type ());
       pp_character (pp, ')');
@@ -811,9 +628,9 @@ unknown_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
 /* FIXME.  */
 
 void
-unknown_svalue2::accept (visitor *v) const
+unknown_svalue::accept (visitor *v) const
 {
-  v->visit_unknown_svalue2 (this);
+  v->visit_unknown_svalue (this);
 }
 
 /* Get a string for KIND for use in debug dumps.  */
@@ -832,14 +649,14 @@ poison_kind_to_str (enum poison_kind kind)
     }
 }
 
-/* class poisoned_svalue2 : public svalue2.  */
+/* class poisoned_svalue : public svalue.  */
 
-/* Compare the fields of this poisoned_svalue2 with OTHER, returning true
+/* Compare the fields of this poisoned_svalue with OTHER, returning true
    if they are equal.
-   For use by svalue2::operator==.  */
+   For use by svalue::operator==.  */
 #if 0
 bool
-poisoned_svalue2::compare_fields (const poisoned_svalue2 &other) const
+poisoned_svalue::compare_fields (const poisoned_svalue &other) const
 {
   return m_kind == other.m_kind;
 }
@@ -848,31 +665,31 @@ poisoned_svalue2::compare_fields (const poisoned_svalue2 &other) const
 /* FIXME.  */
 
 void
-poisoned_svalue2::accept (visitor *v) const
+poisoned_svalue::accept (visitor *v) const
 {
-  v->visit_poisoned_svalue2 (this);
+  v->visit_poisoned_svalue (this);
 }
 
 /* FIXME.  */
 
 void
-poisoned_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+poisoned_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     pp_printf (pp, "POISONED(%s)", poison_kind_to_str (m_kind));
   else
-    pp_printf (pp, "poisoned_svalue2(%s)", poison_kind_to_str (m_kind));
+    pp_printf (pp, "poisoned_svalue(%s)", poison_kind_to_str (m_kind));
 }
 
-/* class setjmp_svalue2's implementation is in engine.cc, so that it can use
+/* class setjmp_svalue's implementation is in engine.cc, so that it can use
    the declaration of exploded_node.  */
 
-/* class initial_svalue2 : public svalue2.  */
+/* class initial_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-initial_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+initial_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -882,7 +699,7 @@ initial_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "initial_svalue2(");
+      pp_string (pp, "initial_svalue(");
       print_quoted_type (pp, get_type ());
       pp_string (pp, ", ");
       m_reg->dump_to_pp (pp, simple);
@@ -893,27 +710,27 @@ initial_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
 /* FIXME.  */
 
 void
-initial_svalue2::accept (visitor *v) const
+initial_svalue::accept (visitor *v) const
 {
-  v->visit_initial_svalue2 (this);
+  v->visit_initial_svalue (this);
   m_reg->accept (v);
 }
 
-/* Compare the fields of this initial_svalue2 with OTHER, returning true
+/* Compare the fields of this initial_svalue with OTHER, returning true
    if they are equal.
-   For use by svalue2::operator==.  */
+   For use by svalue::operator==.  */
 #if 0
 bool
-initial_svalue2::compare_fields (const initial_svalue2 &other) const
+initial_svalue::compare_fields (const initial_svalue &other) const
 {
   return m_reg == other.m_reg;
 }
 #endif
 
-/* class unaryop_svalue2 : public svalue2.  */
+/* class unaryop_svalue : public svalue.  */
 
 void
-unaryop_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+unaryop_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -936,7 +753,7 @@ unaryop_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "unaryop_svalue2 (");
+      pp_string (pp, "unaryop_svalue (");
       // TODO: type?
       pp_string (pp, get_tree_code_name (m_op));
       pp_string (pp, ", ");
@@ -948,18 +765,18 @@ unaryop_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
 /* FIXME.  */
 
 void
-unaryop_svalue2::accept (visitor *v) const
+unaryop_svalue::accept (visitor *v) const
 {
-  v->visit_unaryop_svalue2 (this);
+  v->visit_unaryop_svalue (this);
   m_arg->accept (v);
 }
 
-/* class binop_svalue2 : public svalue2.  */
+/* class binop_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-binop_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+binop_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -971,7 +788,7 @@ binop_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "binop_svalue2 (");
+      pp_string (pp, "binop_svalue (");
       // TODO: type?
       pp_string (pp, get_tree_code_name (m_op));
       pp_string (pp, ", ");
@@ -985,18 +802,18 @@ binop_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
 /* FIXME.  */
 
 void
-binop_svalue2::accept (visitor *v) const
+binop_svalue::accept (visitor *v) const
 {
-  v->visit_binop_svalue2 (this);
+  v->visit_binop_svalue (this);
   m_arg0->accept (v);
   m_arg1->accept (v);
 }
 
-/* class sub_svalue2 : public svalue2.  */
+/* class sub_svalue : public svalue.  */
 
-sub_svalue2::sub_svalue2 (tree type, const svalue2 *parent_svalue,
-			  const region2 *subregion)
-: svalue2 (complexity::from_pair (parent_svalue->get_complexity (),
+sub_svalue::sub_svalue (tree type, const svalue *parent_svalue,
+			  const region *subregion)
+: svalue (complexity::from_pair (parent_svalue->get_complexity (),
 				  subregion->get_complexity ()),
 	   type),
   m_parent_svalue (parent_svalue), m_subregion (subregion)
@@ -1006,15 +823,15 @@ sub_svalue2::sub_svalue2 (tree type, const svalue2 *parent_svalue,
 /* FIXME.  */
 
 void
-sub_svalue2::accept (visitor *v) const
+sub_svalue::accept (visitor *v) const
 {
-  v->visit_sub_svalue2 (this);
+  v->visit_sub_svalue (this);
   m_parent_svalue->accept (v);
   m_subregion->accept (v);
 }
 
 void
-sub_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+sub_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -1026,7 +843,7 @@ sub_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "sub_svalue2 (");
+      pp_string (pp, "sub_svalue (");
       // TODO: type?
       pp_string (pp, ", ");
       m_parent_svalue->dump_to_pp (pp, simple);
@@ -1036,20 +853,20 @@ sub_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
 }
 
-/* class widening_svalue2 : public svalue2.  */
+/* class widening_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-widening_svalue2::accept (visitor *v) const
+widening_svalue::accept (visitor *v) const
 {
-  v->visit_widening_svalue2 (this);
+  v->visit_widening_svalue (this);
   m_base_sval->accept (v);
   m_iter_sval->accept (v);
 }
 
 void
-widening_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+widening_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -1064,7 +881,7 @@ widening_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "widening_svalue2 (");
+      pp_string (pp, "widening_svalue (");
       // TODO: type?
       pp_string (pp, ", ");
       pp_character (pp, '{');
@@ -1079,8 +896,8 @@ widening_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
 
 /* FIXME.  */
 
-enum widening_svalue2::direction_t
-widening_svalue2::get_direction () const
+enum widening_svalue::direction_t
+widening_svalue::get_direction () const
 {
   tree base_cst = m_base_sval->maybe_get_constant ();
   if (base_cst == NULL_TREE)
@@ -1105,7 +922,7 @@ widening_svalue2::get_direction () const
 /* FIXME.  */
 
 tristate
-widening_svalue2::eval_condition_without_cm (enum tree_code op,
+widening_svalue::eval_condition_without_cm (enum tree_code op,
 					     tree rhs_cst) const
 {
   tree base_cst = m_base_sval->maybe_get_constant ();
@@ -1192,18 +1009,18 @@ widening_svalue2::eval_condition_without_cm (enum tree_code op,
     }
 }
 
-/* class placeholder_svalue2 : public svalue2.  */
+/* class placeholder_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-placeholder_svalue2::accept (visitor *v) const
+placeholder_svalue::accept (visitor *v) const
 {
-  v->visit_placeholder_svalue2 (this);
+  v->visit_placeholder_svalue (this);
 }
 
 void
-placeholder_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+placeholder_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -1211,24 +1028,24 @@ placeholder_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_printf (pp, "placeholder_svalue2 (%qs)", m_name);
+      pp_printf (pp, "placeholder_svalue (%qs)", m_name);
       // TODO: type?
     }
 }
 
-/* class unmergeable_svalue2 : public svalue2.  */
+/* class unmergeable_svalue : public svalue.  */
 
 /* FIXME.  */
 
 void
-unmergeable_svalue2::accept (visitor *v) const
+unmergeable_svalue::accept (visitor *v) const
 {
-  v->visit_unmergeable_svalue2 (this);
+  v->visit_unmergeable_svalue (this);
   m_arg->accept (v);
 }
 
 void
-unmergeable_svalue2::dump_to_pp (pretty_printer *pp, bool simple) const
+unmergeable_svalue::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
